Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 662342 - app-text/master-pdf-editor-5.1.00 fails to download with ERROR 404: Not Found
Summary: app-text/master-pdf-editor-5.1.00 fails to download with ERROR 404: Not Found
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: João Santos
URL:
Whiteboard:
Keywords:
: 664742 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-07-28 15:41 UTC by Andrei Slavoiu
Modified: 2019-08-12 05:40 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Slavoiu 2018-07-28 15:41:17 UTC
>>> Emerging (1 of 1) app-text/master-pdf-editor-5.0.15::gentoo
>>> Downloading 'http://code-industry.net/public/master-pdf-editor-5.0.15_qt5.amd64.tar.gz'
--2018-07-28 18:31:47--  http://code-industry.net/public/master-pdf-editor-5.0.15_qt5.amd64.tar.gz
Resolving code-industry.net (code-industry.net)... 136.243.89.42
Connecting to code-industry.net (code-industry.net)|136.243.89.42|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://code-industry.net/public/master-pdf-editor-5.0.15_qt5.amd64.tar.gz [following]
--2018-07-28 18:31:48--  https://code-industry.net/public/master-pdf-editor-5.0.15_qt5.amd64.tar.gz
Connecting to code-industry.net (code-industry.net)|136.243.89.42|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2018-07-28 18:31:48 ERROR 404: Not Found.

Bumping the version to the current version (5.0.36) fixes the issue. BTW, you may also want to change the SRC_URI to point to https dirrectly instead of being redirected from http.
Comment 1 Jonas Stein gentoo-dev 2018-08-04 10:14:31 UTC
confirmed with
$ GENTOO_MIRRORS="" ebuild master-pdf-editor-5.0.15.ebuild fetch
Comment 2 João Santos 2018-08-05 08:50:51 UTC
Thanks for the feedback.

Just added a new pull request to fix this.

Due to some mistakes on my part the previous couldn't be merged. Hopefully everything will be faster now.
Comment 3 Toralf Förster gentoo-dev 2018-08-08 16:33:01 UTC
5.1.0 is affected too - today.
Comment 4 João Santos 2018-08-11 12:43:03 UTC
(In reply to Toralf Förster from comment #3)
> 5.1.0 is affected too - today.

Seems to be working, tested on different networks.
Comment 5 Fred Kastl 2018-08-22 20:45:55 UTC
Version 5.1.00 seems to be no longer available. It looks like it has been replaced by 5.1.30 (https://code-industry.net/public/master-pdf-editor-5.1.30_qt5.amd64.tar.gz)

Error message:

>>> Downloading 'http://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz' 
--2018-08-22 22:27:35-- http://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz Resolving code-industry.net... 136.243.89.42 Connecting to code-industry.net|136.243.89.42|:80... connected. HTTP request sent, awaiting response... 301 Moved Permanently Location: https://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz [following] --2018-08-22 22:27:35-- https://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz Connecting to code-industry.net|136.243.89.42|:443... connected. HTTP request sent, awaiting response... 404 Not Found 2018-08-22 22:27:35 ERROR 404: Not Found.
Comment 6 João Santos 2018-08-24 12:46:54 UTC
(In reply to Fred Kastl from comment #5)
> Version 5.1.00 seems to be no longer available. It looks like it has been
> replaced by 5.1.30
> (https://code-industry.net/public/master-pdf-editor-5.1.30_qt5.amd64.tar.gz)
> 
> Error message:
> 
> >>> Downloading 'http://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz' 
> --2018-08-22 22:27:35--
> http://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz
> Resolving code-industry.net... 136.243.89.42 Connecting to
> code-industry.net|136.243.89.42|:80... connected. HTTP request sent,
> awaiting response... 301 Moved Permanently Location:
> https://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz
> [following] --2018-08-22 22:27:35--
> https://code-industry.net/public/master-pdf-editor-5.1.00_qt5.amd64.tar.gz
> Connecting to code-industry.net|136.243.89.42|:443... connected. HTTP
> request sent, awaiting response... 404 Not Found 2018-08-22 22:27:35 ERROR
> 404: Not Found.

Thanks for your feedback.

It seems that they are quickly deleting previous versions as new ones are becoming available.

Already made a pull request to handle the situation.

I will try to be quicker to fix these kind of situations.
Comment 7 Jonas Stein gentoo-dev 2018-08-29 11:59:03 UTC
Was this bug really fixed? I can not see any change since 2018-08-08.
Please do not close tickets, if the bug is not yet fixed in the tree.
Comment 8 João Santos 2018-09-07 09:22:25 UTC
(In reply to Jonas Stein from comment #7)
> Was this bug really fixed? I can not see any change since 2018-08-08.
> Please do not close tickets, if the bug is not yet fixed in the tree.

You are right I shouldn't have closed it so soon, but I expected it to be quickly resolved. However, I have been waiting for approval for the past few weeks.
Comment 9 Andrey Grozin gentoo-dev 2018-09-16 08:08:27 UTC
Renaming master-pdf-editor-5.1.00.ebuild -> master-pdf-editor-5.1.30.ebuild works
Comment 10 João Santos 2018-09-16 16:27:46 UTC
(In reply to Andrey Grozin from comment #9)
> Renaming master-pdf-editor-5.1.00.ebuild -> master-pdf-editor-5.1.30.ebuild
> works

Yes in the mean time you can use that (you could also try version 5.1.36), I am waiting for my pull request to be approved.
Comment 11 Jeroen Roovers gentoo-dev 2019-08-12 05:38:54 UTC
*** Bug 664742 has been marked as a duplicate of this bug. ***